Package fr.gouv.vitam.common.model.unit

# Enum Class LevelType

java.lang.Object
java.lang.Enum<LevelType>
fr.gouv.vitam.common.model.unit.LevelType

All Implemented Interfaces:
  `Serializable`, `Comparable<LevelType>`, `Constable`

public enum LevelType extends Enum<LevelType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLASS`
  `COLLECTION`
  `FILE`
  `FONDS`
  `ITEM`
  `OTHER_LEVEL`
  `RECORD_GRP`
  `SERIES`
  `SUB_GRP`
  `SUBFONDS`
  `SUBSERIES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LevelType`
  `fromValue(String v)`
  `String`
  `value()`
  `static LevelType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LevelType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FONDS

    public static final LevelType FONDS

  - ### SUBFONDS

    public static final LevelType SUBFONDS

  - ### CLASS

    public static final LevelType CLASS

  - ### COLLECTION

    public static final LevelType COLLECTION

  - ### SERIES

    public static final LevelType SERIES

  - ### SUBSERIES

    public static final LevelType SUBSERIES

  - ### RECORD_GRP

    public static final LevelType RECORD_GRP

  - ### SUB_GRP

    public static final LevelType SUB_GRP

  - ### FILE

    public static final LevelType FILE

  - ### ITEM

    public static final LevelType ITEM

  - ### OTHER_LEVEL

    public static final LevelType OTHER_LEVEL

- ## Method Details

  - ### values

    public static LevelType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LevelType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static LevelType fromValue(String v)